Demos (master): Remove srcdir != builddir check from autogen.sh

Jon TURNEY jturney at kemper.freedesktop.org
Fri Apr 8 08:45:31 PDT 2011


Module: Demos
Branch: master
Commit: 0c2b720b8e1e25f0e6d6ad16810d67e39ae9590d
URL:    http://cgit.freedesktop.org/mesa/demos/commit/?id=0c2b720b8e1e25f0e6d6ad16810d67e39ae9590d

Author: Jon TURNEY <jon.turney at dronecode.org.uk>
Date:   Fri Apr  8 16:34:25 2011 +0100

Remove srcdir != builddir check from autogen.sh

Remove srcdir != builddir check from autogen.sh, it's no longer needed

---

 autogen.sh |    9 ++-------
 1 files changed, 2 insertions(+), 7 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index c76bf8b..7317522 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,16 +3,11 @@
 srcdir=`dirname "$0"`
 test -z "$srcdir" && srcdir=.
 
-SRCDIR=`(cd "$srcdir" && pwd)`
 ORIGDIR=`pwd`
-
-if test "x$SRCDIR" != "x$ORIGDIR"; then
-	echo "Mesa cannot be built when srcdir != builddir" 1>&2
-	exit 1
-fi
-
 MAKEFLAGS=""
+cd $srcdir
 
 autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
 
 "$srcdir"/configure "$@"



More information about the mesa-commit mailing list